#!/bin/bash

if [ "$#" -ne 3 ]; then
    echo "Usage: $0 <wallet_address> <private_key> <rpc_url>"
    exit 1
fi

WALLET_ADDRESS=$1
PRIVATE_KEY=$2
RPC_URL=$3

# List of files
FILES=(
    "./projects/hello-world/container/config.json"
    "./projects/hello-world/contracts/Makefile"
)

for FILE in "${FILES[@]}"; do
    EXPANDED_FILE=$(eval echo "$FILE")
    sed -i "s|###WALLET_ADDRESS###|$WALLET_ADDRESS|g" "$EXPANDED_FILE"
    sed -i "s|###PRIVATE_KEY###|$PRIVATE_KEY|g" "$EXPANDED_FILE"
    sed -i "s|###RPC_URL###|$RPC_URL|g" "$EXPANDED_FILE"
done
